Subject: bug#37611: [PATCH] Default FILE to the current buffer for list-tags

From: Hong Xu <[email-masked]>
Date: Fri, 4 Oct 2019 12:20:46 -0700

On 10/4/19 12:59 AM, Eli Zaretskii wrote:
> Thanks.  The doc string of list-tags needs an update as result of
> this, and also its documentation in the user manual.

I will update the doc.

> 
> Did you try this in the Emacs source tree?  We use the TAGS 'include'
> facility to include various TAGS files in a single master file.  This
> seems to get in the way when you invoke this command from a Lisp file,
> because list-tags only recognizes one of the C source files as
> completion candidates.  What does this do with your changes?
> 

I tried in the Emacs source tree without problem (I ran universal ctags, "ctags -R -e ." from root of the source tree). How do you generate the TAGS file? Is there any instruction? I can take a look at it.